gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
Gst::EventTag Class Reference

A tag event. More...

Inheritance diagram for Gst::EventTag:
[legend]
Collaboration diagram for Gst::EventTag:
[legend]

List of all members.

## Public Member Functions

| EventTag (GstEvent* event)
Gst::TagList | parse () const
| Parses a tag event and stores the results in the given taglist location.

## Static Public Member Functions

static Glib::RefPtr < Gst::EventTag > | create (const Gst::TagList& taglist)
| Generates a metadata tag event from the given taglist.

## Detailed Description

A tag event.

## Constructor & Destructor Documentation

Gst::EventTag::EventTag | ( | GstEvent * | event | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::EventTag> Gst::EventTag::create | ( | const Gst::TagList& | taglist | ) | `[static]`

Generates a metadata tag event from the given taglist.

Parameters:

  taglist | Metadata list.

Returns:
  A new Gst::Event.

Gst::TagList Gst::EventTag::parse | ( |  | ) | const

Parses a tag event and stores the results in the given taglist location.

Returns:
  Metadata list.

The documentation for this class was generated from the following file:

- gstreamermm/event.h